# makefile for testgc.exe, a demo of the gcobject and gcstring classes
# the compact or large memory model is recommended.
# for Borland make, use:
#	make -fmakefile.tcc

!if !$d(COMPILER)
COMPILER=tcc
!endif

testgc.exe: testgc.obj gcstring.obj gcobject.obj
	$(COMPILER) -mc testgc.obj gcstring.obj gcobject.obj

testgc.obj: testgc.cpp gcstring.hpp gcobject.hpp
	$(COMPILER) -mc -c testgc.cpp

gcstring.obj: gcobject.cpp gcstring.hpp gcobject.hpp
	$(COMPILER) -mc -c gcstring.cpp

gcobject.obj: gcobject.cpp gcobject.hpp
	$(COMPILER) -mc -c gcobject.cpp



